/*
 *****************************************************************************
 *                                                                           *
 *              IMPINJ CONFIDENTIAL AND PROPRIETARY                          *
 *                                                                           *
 * This source code is the sole property of Impinj, Inc. Reproduction or     *
 * utilization of this source code in whole or in part is forbidden without  *
 * the prior written consent of Impinj, Inc.                                 *
 *                                                                           *
 * (c) Copyright Impinj, Inc. 2013-2015. All rights reserved.                *
 *                                                                           *
 *****************************************************************************/

#ifndef __VERSION_H
#define __VERSION_H

#include <stdint.h>

#define IPJ_VERSION_MAJOR_NUMBER         1
#define IPJ_VERSION_MINOR_NUMBER         4
#define IPJ_VERSION_MAINTENANCE_NUMBER   2
#define IPJ_VERSION_RELEASE_NUMBER       240

#define IPJ_VERSION_STRING "1.4.2.240"

/* VERSION 0x010402F0 */
#define IPJ_VERSION   (((uint32_t)IPJ_VERSION_MAJOR_NUMBER       << 24)  | \
                       ((uint32_t)IPJ_VERSION_MINOR_NUMBER       << 16)  | \
                       ((uint32_t)IPJ_VERSION_MAINTENANCE_NUMBER <<  8)  | \
                       ((uint32_t)IPJ_VERSION_RELEASE_NUMBER     <<  0))

#endif
