/*
 *****************************************************************************
 *                                                                           *
 *              IMPINJ CONFIDENTIAL AND PROPRIETARY                          *
 *                                                                           *
 * This source code is the sole property of Impinj, Inc. Reproduction or     *
 * utilization of this source code in whole or in part is forbidden without  *
 * the prior written consent of Impinj, Inc.                                 *
 *                                                                           *
 * (c) Copyright Impinj, Inc. 2013-2015. All rights reserved.                *
 *                                                                           *
 *****************************************************************************/
#ifndef __CONFIG_H
#define __CONFIG_H

/*****************************************************************************
 *                                                                           *
 * COMPILE TIME SWITCHES                                                     *
 *                                                                           *
 *****************************************************************************/

/*
 * This switch will eliminate all command and transmission APIs from the
 * library. To be used in conjunction with the 'on boot start action' key
 * in stored settings.
 */
/*#define IRI_RX_ONLY*/

/*
 * This switch will turn off all responses to set commands
 */
/*#define SUPPRESS_SET_RESPONSES*/

/*
 * This switch will turn on printf's of serial traffic
 */
/*#define DEBUG_SERIAL_TRAFFIC*/

/*
 * This switch will enable the firmware update API
 */
/*#define ENABLE_FW_UPDATES*/


#endif
